aboutsummaryrefslogtreecommitdiff
path: root/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'setup.sh')
-rwxr-xr-x[-rw-r--r--]setup.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/setup.sh b/setup.sh
index 1a24852..09b7c07 100644..100755
--- a/setup.sh
+++ b/setup.sh
@@ -1 +1,12 @@
#!/bin/sh
+
+if ! [ -x `command -v docker` ]; then
+ echo "Error: docker is not installed"
+ exit 1
+elif ! [ -x `command -v docker-compose` ]; then
+ echo "Error: docker-compose is not installed"
+ exit 1
+fi
+
+cd ./srcs
+docker-compose --project-name ft_services up